Subject: Re: git pull opinion

From: Pascal Obry <[email-masked]>
Date: Tue, 06 Nov 2007 19:07:04 +0100

Aghiles a écrit :
> Hello,
> 
> I am not sure this is the best place to write about this. Anyway,
> we just switched a couple of repositories to git (from svn) here
> at work and one thing people find annoying is a pull into
> a dirty directory. Before the "stash" feature it was even worse
> but now we can type:
> 
>     git stash
>     git pull
>     git stash apply
> 
> But isn't that something we should be able to specify to the "pull"
> command ? Additionally and if I am not mistakn, those commands will
> create "dangling" commits and blobs. So one has to execute:
> 
>     git prune
> 
> Is there an "easier" way to pull into a dirty directory ? 

I'm using:

$ git config --global alias.update '!git stash && git pull && git stash
apply'

Then in a git repository just do:

$ git update

> ps; if someone is interested to hear what is the general opinion
> on switching to git from svn in our company, I could elaborate.

Would be nice to hear about that indeed.

Pascal.

-- 

--|------------------------------------------------------
--| Pascal Obry                           Team-Ada Member
--| 45, rue Gabriel Peri - 78114 Magny Les Hameaux FRANCE
--|------------------------------------------------------
--|              http://www.obry.net
--| "The best way to travel is by means of imagination"
--|
--| gpg --keyserver wwwkeys.pgp.net --recv-key C1082595